package com.ebaiyihui.family.doctor.server.common.enums;

public enum CloudHisAdmissionStatusEnum {

    /**
     * 待接待：请尽快与处理咨询
     */
    TO_BE_RECEIVED("待接诊", 1,"医生待接诊"),

    TREATNENTED("就诊中",20,"医生已接诊"),
    FINISH("已完成",30,"医生已完成问诊"),
    DOCTOR_CANCEL("已取消",40,"医生已取消问诊"),
    PATIENT_CANCEL("已取消",45,"患者已取消问诊"),
    OTHER_CANCEL("已取消",46,"其他操作已取消问诊"),
    RETIRMENT("就诊中",50,"退诊"),
    ARCHIVED("已归档",99,"归档");

    private String desc;
    private Integer value;
    private String display;
    /**
     * @param desc
     */
    private CloudHisAdmissionStatusEnum(String desc, Integer value, String display) {
        this.desc = desc;
        this.value = value;
        this.display = display;
    }


    public String getDesc() {
        return desc;
    }


    public void setDesc(String desc) {
        this.desc = desc;
    }


    public Integer getValue() {
        return value;
    }


    public void setValue(Integer value) {
        this.value = value;
    }
    public String getDisplay(){
        return display;
    }
    public void setDisplay(String display){
        this.display=display;
    }

    public static String getDesc(Integer value) {
        if (value == null || value < 0) {
            return null;
        }
        for (AdmissionStatusEnum admissionStatusEnum : AdmissionStatusEnum.values()) {
            if (value.equals(admissionStatusEnum.getValue())) {
                return admissionStatusEnum.getDesc();
            }
        }
        return null;
    }
    public static String getDisplay(Integer value) {
        if (value == null || value < 0) {
            return null;
        }
        for (AdmissionStatusEnum admissionStatusEnum : AdmissionStatusEnum.values()) {
            if (value.equals(admissionStatusEnum.getValue())) {
                return admissionStatusEnum.getDisplay();
            }
        }
        return null;
    }

    public static AdmissionStatusEnum getEnum(Integer value) {
        if (value == null || value < 0) {
            return null;
        }
        for (AdmissionStatusEnum admissionStatusEnum : AdmissionStatusEnum.values()) {
            if (value.equals(admissionStatusEnum.getValue())) {
                return admissionStatusEnum;
            }
        }
        return null;
    }
}
